Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jun 2022 10:23:24 +0000

Hi Nihal Alsaiari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hello , I just wanted to share a terrible customer service experience noticed in two of your branches in Riyadh. One in thalateen street and the other in Galleria Mall on King Fahad street.
As soon as customers reach the cashier point to pay, the employees recruited there male or female perform very badly as in handling the clothes or items bought as garbage stuffing them unceremoniously in the plastic bag as if we are buying trash. Even while removing the hangers from the clothes, they use an ungracious tough method to remove the hanger makes you regret buying the item on the spot. When I spoke to two of your cashiers to at least fold the clothes properly, they stated that it is not part of their contract to do so!, If the universal customer service guidelines are not taught to these newbies I promise you your business will suffer negatively, I hope these words falls into the right ears and person who can make a change. You are free to contact me if it is necessary. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4201500